InboxedUp - API
  1. Mailboxes
InboxedUp - API
  • Account
    • Get account overview
      GET
  • Subscriptions
    • List active subscriptions
      GET
    • Update subscription notes
      PATCH
  • Domains
    • Submit domains
      POST
    • List domains
      GET
    • Get domain
      GET
    • Remove domain
      DELETE
    • Verify domain NS propagation
      POST
    • Get batch status
      GET
  • Mailboxes
    • Request mailboxes
      POST
    • List mailbox requests
      GET
    • Get mailbox request
      GET
  • Schemas
    • Error
    • MailboxEntry
  1. Mailboxes

Request mailboxes

POST
/mailboxes
Submit a mailbox provisioning request for a domain. The domain must be ACTIVE before mailboxes can be requested.
Per-domain limits:
Microsoft 365: 3 mailboxes per domain
Google Workspace: 3 mailboxes per domain
SMTP: 5 mailboxes per domain
SMTP Dedicated: 10 mailboxes per domain
All pending, in-progress, and completed requests count toward the limit. Only failed requests free up slots.
Requests are fulfilled manually and typically completed within 24 hours.

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Body Params application/jsonRequired

Examples

Responses

🟢201
application/json
Mailbox request created
Body

🟠400
🟠401
🟠403
🟠422
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST '/mailboxes' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "domain": "yourdomain.com",
    "type": "microsoft",
    "mailboxes": [
        {
            "firstName": "John",
            "lastName": "Smith",
            "mailboxUsername": "john.smith"
        },
        {
            "firstName": "Jane",
            "lastName": "Doe",
            "mailboxUsername": "jane.doe"
        }
    ]
}'
Response Response Example
201 - Success
{
    "success": true,
    "requestId": "req_abc123",
    "type": "microsoft",
    "domain": "yourdomain.com",
    "status": "pending",
    "message": "Your mailbox request has been received and is being processed.",
    "mailboxes": [
        {
            "firstName": "John",
            "lastName": "Smith",
            "mailboxUsername": "john.smith",
            "domainName": "yourdomain.com"
        }
    ]
}
Modified at 2026-03-12 08:23:25
Previous
Get batch status
Next
List mailbox requests
Built with